Can anyone explain to me why, with RUBYOPT="-rubgems", this works:

    $ ruby -e'require "ansi"; "x".ansi(:red)'

But,

    $ ruby -ransi -e'"x".ansi(:red)'

gives an error `ruby: no such file to load -- ansi (LoadError)`.  Even
if I do:

    $ ruby -rubygems -ransi -e'"x".ansi(:red)'

it still doesn't work.